import { XodBaseMessageType, XodResponseType } from '@xip-online-data/types';
import { AbstractRdKafkaService } from './abstract-rdkafka-service';
export declare class RdKafkaLogsService extends AbstractRdKafkaService {
    #private;
    protected initialized: boolean;
    setResponseCallbackFunction(callbackFunction: (message: XodResponseType) => Promise<void>): void;
    init: () => Promise<void>;
    private consume;
    send(messages: Array<XodBaseMessageType>, topic: string): Promise<boolean>;
    sendIndividual(messages: Array<XodBaseMessageType>, topic: string): Promise<boolean>;
}
